package com.dev.swms.server.model.shipping;

import java.util.List;

import com.dev.swms.server.model.base.Warehouse;
import com.dev.swms.server.model.inventory.Inventory;
import com.dev.energy.server.model.VersionalEntity;
/**
 * 拣货单抽象类
 * @author  dev
 *
 */
public abstract class AbstractPickTicket extends VersionalEntity {

	public abstract double getAllocatedQuantity();
	public abstract void setAllocatedQuantity(double allocatedQuantity);
	public abstract String getCode();
	public abstract void setCode(String code);
	public abstract double getOrderQuantity();
	public abstract void setOrderQuantity(double orderQuantity);
	public abstract double getPickedQuantity();
	public abstract void setPickedQuantity(double pickedQuantity);
	public abstract double getShippedQuantity();
	public abstract void setShippedQuantity(double shippedQuantity);
	public abstract String getSoi();
	public abstract List<AbstractPickTicketDetail> getAbstractPickTicketDetails();
	public abstract void allocate(AbstractPickTicketDetail pickTicketDetail, Inventory inventory, double quantity);
	public abstract Warehouse getWarehouse();
}
